@echo %__DEBUG% OFF

set _Y=
if %1.==AM_I_HERE. set _Y=YES
if %1.==AM_I_HERE. goto done


echo.
echo This batch file will copy the various revision librarian files
echo into a directory of your choosing.
echo.
pause
call .\setup.bat AM_I_HERE
if NOT %_Y%.==YES. goto errnothere
if not exist .\bin\revision-librarian.bat goto errnothere2
if not exist .\revision-librarian.reg goto errnothere2

if %temp%.==. goto ERRTEMPSYM

echo The current directories in your path are
for %%n in (%PATH%) do echo %%n
echo.
echo Type the name of the directory where the files should be installed.
echo Type the full name as shown above then press the ENTER key.
echo.
bin\revlib&u -a /-p INS_DIR Install path>%temp%\temp.bat
if errorlevel 1 goto errinput
call %temp%\temp.bat
if %INS_DIR%.==. goto errinput

echo Type the name of the directory where WINDOWS is installed.
echo Type the full name as shown above then press the ENTER key.
echo.
bin\revlib&u -a /-p WIN_DIR Windows path>%temp%\temp.bat
if errorlevel 1 goto errinput
call %temp%\temp.bat
if %WIN_DIR%.==. goto errinput


copy .\bin\*.* "%INS_DIR%"
copy .\revision-librarian.reg "%INS_DIR%"
if not exist .\binnt.rcs\*.* goto RCS_EXE_MSG
copy .\binnt.rcs\*.* "%INS_DIR%"
goto BIN_COPIED

:RCS_EXE_MSG
echo.
echo This package is not a version that has the RCS utilities themselves.
echo Be sure to install the RCS utilities from the BINNT directory of
echo        rcs57pc1.zip
echo which is found at ftp.leo.org / pub/comp/os/os2/leo/gnu/devtools
echo.
pause
:BIN_COPIED


copy ".\bin\revision librarian.pif" %WIN_DIR%\sendto
copy ".\bin\do revision librarian .bat" %WIN_DIR%\desktop
regedit revision-librarian.reg

echo ======================================================================
echo                     SUMMARY AND FINAL MESSAGES
echo ======================================================================
echo.
echo The BIN and .REG files were copied into %INS_DIR%
if not exist .\binnt.rcs\*.* echo The RCS utilities need to be installed seperately
if exist .\binnt.rcs\*.* echo this includes the RCS utilities used by the librarian
echo.
echo (more messages below)
pause
echo the "revision librarian" icon was entered into
echo    %WIN_DIR%\sendto
echo the "do revision librarian .bat" icon was entered into
echo    %WIN_DIR%\desktop
echo (This batch file can be copied into any directories where the controlled
echo  documents are to be stored.  It can be used a drag and drop destination
echo  for returning master copies into a revision library.)
echo.
echo REGEDIT was called using revision-librarian.reg 
echo.
echo If the install directory was not in the path then REGEDIT likely
echo had a fatal error.  If this happened then your registry should be
echo fine, though you _will_ need to add the install dir into the path by
echo editing AUTOEXEC.BAT
echo.
echo If you are not using a network, then you will also need to add the
echo following line to AUTOEXEC.BAT
echo    SET USER=yourname
echo.
echo ======================================================================
pause
goto done

:errnothere2
echo.
echo The BIN files couldn't be found for the install.  If the files were
echo zipped with an older zip then you will have to restore the long names
echo before running the setup.
echo To restore long names use LONGNAME.BAT
echo.
pause
:errnothere
echo This procedure requires that the revision librarian files are in
echo the current directory or below.  This does not appear to be the case.
echo please CD into the directory where the setup file resides (assuming
echo it is still in the revision librarian package directory) and run the
echo setup from there.
pause
goto done

:ERRTEMPSYM2
echo.
echo A temporary file was not created in the temp directory.  This
echo indicates some kind of problem with your TEMP variable or the
echo directory to which it points.
echo TEMP=%TEMP%   (a value should appear to the right of the = )
echo.
:ERRTEMPSYM
echo.
echo The environment symbol TEMP may not be defined.  This procedure, and
echo the librarian itself require that the symbol be defined and point to
echo a valid directory.
echo.
pause
goto done

:errinput
echo.
echo Something went wrong while getting user input.
echo Be sure you typed the requested value as a single line of input,
echo followed by the ENTER key.  Its best not to type extra spaces
echo in your input (eg. at the start or end of a path).
echo.
pause
goto done



:done
echo.

